package pim.ui.other;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.swt.widgets.Menu;
import org.eclipse.swt.widgets.MenuItem;
import org.eclipse.wb.swt.layout.grouplayout.GroupLayout;

public class MainAppWindow extends Shell {
	
	
	 /**
	   * Launch the application.
	   * 
	   * @param args
	   */
	  public static void main(String args[])
	  {
	    try
	    {
	      Display display = Display.getDefault();
	      MainAppWindow shell = new MainAppWindow(display);
	      shell.open();
	      shell.layout();
	      while (!shell.isDisposed())
	      {
	        if (!display.readAndDispatch())
	        {
	          display.sleep();
	        }
	      }
	    }
	    catch (Exception e)
	    {
	      e.printStackTrace();
	    }
	  }

	  /**
	   * Create the shell.
	   * 
	   * @param display
	   */
	  public MainAppWindow(Display display)
	  {
	    super(display, SWT.SHELL_TRIM);
	    
	    Menu menu = new Menu(this, SWT.BAR);
	    setMenuBar(menu);
	    
	    MenuItem mntmNewSubmenu = new MenuItem(menu, SWT.CASCADE);
	    mntmNewSubmenu.setText("file");
	    
	    Menu menu_1 = new Menu(mntmNewSubmenu);
	    mntmNewSubmenu.setMenu(menu_1);
	    
	    MenuItem mntmOpen = new MenuItem(menu_1, SWT.NONE);
	    mntmOpen.setText("open");
	    
	    MenuItem mntmSave = new MenuItem(menu_1, SWT.NONE);
	    mntmSave.setText("save");
	    
	    MenuItem mntmSaveAs = new MenuItem(menu_1, SWT.NONE);
	    mntmSaveAs.setText("save as...");
	    
	    MenuItem mntmExit = new MenuItem(menu_1, SWT.NONE);
	    mntmExit.setText("exit");
	    
	    MenuItem mntmEdit = new MenuItem(menu, SWT.CASCADE);
	    mntmEdit.setText("contacts");
	    
	    Menu menu_2 = new Menu(mntmEdit);
	    mntmEdit.setMenu(menu_2);
	    
	    MenuItem mntmAddContact = new MenuItem(menu_2, SWT.NONE);
	    mntmAddContact.setText("add contact");
	    
	    MenuItem mntmEditContact = new MenuItem(menu_2, SWT.NONE);
	    mntmEditContact.setText("edit contact");
	    
	    MenuItem mntmNewSubmenu_1 = new MenuItem(menu, SWT.CASCADE);
	    mntmNewSubmenu_1.setText("help");
	    
	    Menu menu_3 = new Menu(mntmNewSubmenu_1);
	    mntmNewSubmenu_1.setMenu(menu_3);
	    
	    MenuItem mntmAbout = new MenuItem(menu_3, SWT.NONE);
	    mntmAbout.setID(55);
	    mntmAbout.setText("about");
	    
	    ContactListView contactListView = new ContactListView(this, SWT.NONE);
	    GroupLayout groupLayout = new GroupLayout(this);
	    groupLayout.setHorizontalGroup(
	    	groupLayout.createParallelGroup(GroupLayout.LEADING)
	    		.add(groupLayout.createSequentialGroup()
	    			.add(10)
	    			.add(contactListView, GroupLayout.DEFAULT_SIZE, 480, Short.MAX_VALUE)
	    			.addContainerGap())
	    );
	    groupLayout.setVerticalGroup(
	    	groupLayout.createParallelGroup(GroupLayout.LEADING)
	    		.add(groupLayout.createSequentialGroup()
	    			.add(10)
	    			.add(contactListView, GroupLayout.DEFAULT_SIZE, 296, Short.MAX_VALUE)
	    			.addContainerGap())
	    );
	    setLayout(groupLayout);
	    createContents();
	  }

	  /**
	   * Create contents of the shell.
	   */
	  protected void createContents()
	  {
	    setText("SWT Application");
	    setSize(517, 377);

	  }

	  @Override
	  protected void checkSubclass()
	  {
	    // Disable the check that prevents subclassing of SWT components
	  }
}
